# OgreTechnique.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreIteratorWrappers.h"`
`#include "OgreBlendMode.h"`
`#include "OgreCommon.h"`
`#include "OgrePass.h"`
`#include "OgreRenderSystemCapabilities.h"`
`#include "OgreUserObjectBindings.h"`

Go to the source code of this file.

## Classes

class | Ogre::Technique
| Class representing an approach to rendering this particular Material. More...
struct | Ogre::Technique::GPUVendorRule
| Rule controlling whether technique is deemed supported based on GPU vendor. More...
struct | Ogre::Technique::GPUDeviceNameRule
| Rule controlling whether technique is deemed supported based on GPU device name. More...

## Namespaces

namespace | Ogre

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09